<?php
/**
 * @file zen_html.php
 * @author Juan Belon
 * @access public
 * @copyright LGPL, GPL
 * @package zenphp
 * @version 1.0
 * @uses zenphp FrameWork
 * 
 * @brief Conjunto de funciones para operar/construir/editar HTML usando cadenas
 */
// +----------------------------------------------------------------------
// | zenphp.es
// +----------------------------------------------------------------------

/**
 * Escribe los <scripts> para realizar validaciones en formularios,se necesita el $id_formulario y las $opciones_validacion, para conocerlas ver el manual,
 * ejemplo:{onFormValidate : tuFuncion_JavaScript, onElementValidate : tuFuncion_JavaScript}. 
 * Para que aparezcan los elementos validados erroneos con animaciones,usar $usar_efectos a true
 *
 * @param str||array('str','str',...,'str') $id_formulario
 * @param array({'str','str',...,'str'},{'str','str',...,'str'}) $opciones_validacion
 * @param bool $usar_efectos
 * @param str $funcion_javascript
 * @return str:html 
 */
function zen_validaciones_js($id_formularios,$opciones_validacion=array("{immediate : true,useTitles : true}"),$usar_efectos=true,$funcion_javascript='zen_crear_validaciones'){
	if (empty($opciones_validacion)) $opciones_validacion = array("{}");
	$html = '<link href="js/zenphp_validation1.5.4.1/estilo_validacion.css" type="text/css" rel="stylesheet"/>
		<script src="js/zenphp_validation1.5.4.1/scriptaculous/lib/prototype.js" type="text/javascript"></script>
		<script src="js/zenphp_validation1.5.4.1/validacion.js" type="text/javascript"></script>';
	if ($usar_efectos){
		$html .= '
		<script src="js/zenphp_validation1.5.4.1/scriptaculous/src/effects.js" type="text/javascript"></script>';
	}
	$html .= '
		<script type="text/javascript">
		function '.$funcion_javascript.'(){';
	$forms = split(",",$id_formularios);		
	$n = count($forms); 
	$m = count($opciones_validacion);
	for ($i=0; $i<$n; $i++){
 		 $html .= '
 		 	new Validation(\''.$forms[$i].'\',';
 		 $html .= $n==$m?$opciones_validacion[$i]:$opciones_validacion[0];
 		 $html .= ');
 		 ';
	}
	$html .= '}
		</script>
	';//O new Validation(document.forms[0]);
	
	
	return $html;
}
?>
